return {
	"olimorris/codecompanion.nvim",
	dependencies = {
		"nvim-lua/plenary.nvim",
		"nvim-treesitter/nvim-treesitter",
		"j-hui/fidget.nvim",
	},
	opts = {
		strategies = {
			chat = {
				adapter = "copilot",
			},
			inline = {
				adapter = "copilot",
			},
		},
		display = {
			action_palette = {
				provider = "default",
				width = 150,
				heigth = 85,
			},
			chat = {
				layout = "vertical",
				border = "single",
			},
			diff = {
				enabled = true,
				provider = "mini_diff",
			},
		},
	},
	init = function()
		require("plugins.codecompanion.fidget-spinner"):init()
	end,
}
